Summary:	GeoLite City - City database for GeoIP
Summary(pl.UTF-8):	GeoLite City - baza danych miast dla GeoIP
Name:		GeoIP-db-City
# Updated every month:
Version:	2015.11.03
Release:	1
License:	CC 3.0 BY-SA
Group:		Applications/Databases
Source0:	http://geolite.maxmind.com/download/geoip/database/GeoLiteCity.dat.xz?/GeoLiteCity-%{version}.dat.xz
# Source0-md5:	c5208771d1f57f53af8c4127b5f4923a
Source1:	http://geolite.maxmind.com/download/geoip/database/GeoLiteCityv6-beta/GeoLiteCityv6.dat.gz?/GeoLiteCityv6-%{version}.dat.gz
# Source1-md5:	71334682ee312bcf211da82f06a23734
URL:		http://dev.maxmind.com/geoip/legacy/geolite/
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Determine country, state/region, city, US postal code, US area code,
metro code, latitude, and longitude information for IP addresses
worldwide.

License disclaimer: this product includes GeoLite data created by
MaxMind, available from <http://www.maxmind.com/>.

%description -l pl.UTF-8
Znajdź państwo, stan/region, miasto, kod pocztowy, kod regionu, kod
miejski, szerokość i wysokość geograficzną dla adresów IP z całego
świata.

Informacja licencyjna: ten produkt zawiera dane GeoLite stworzone
przez MaxWind, dostępne z <http://www.maxwind.com/>.

%prep
%setup -qcT
cp -p %{SOURCE0} .
cp -p %{SOURCE1} .

xz -d GeoLiteCity-%{version}.dat.xz
gunzip GeoLiteCityv6-%{version}.dat.gz

%build
# get file DATE in GMT timezone
filedate() {
	TZ=GMT stat -c '%y' "$1" | awk '{print $1}'
}

# use newest file date as version
d1=$(filedate GeoLiteCity-%{version}.dat)
d2=$(filedate GeoLiteCityv6-%{version}.dat)
if [ "$(echo $d1 | tr -d -)" -gt "$(echo $d2 | tr -d -)" ]; then
	d=$d1
else
	d=$d2
fi

ver=$(echo $d | tr - .)
if [ "$ver" != %{version} ]; then
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/GeoIP
cp -p GeoLiteCity-%{version}.dat $RPM_BUILD_ROOT%{_datadir}/GeoIP/GeoLiteCity.dat
ln -s GeoLiteCity.dat $RPM_BUILD_ROOT%{_datadir}/GeoIP/GeoIPCity.dat

cp -p GeoLiteCityv6-%{version}.dat $RPM_BUILD_ROOT%{_datadir}/GeoIP/GeoLiteCityv6.dat
ln -s GeoLiteCityv6.dat $RPM_BUILD_ROOT%{_datadir}/GeoIP/GeoIPCityv6.dat

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_datadir}/GeoIP/*.dat
%changelog
* Wed Nov 04 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/GeoIP-db-City.git;a=log;h=master

* Tue Nov 03 2015 Elan Ruusamäe <glen@delfi.ee> d2d4d99
- updated to 2015.11.03

* Fri Oct 09 2015 Elan Ruusamäe <glen@delfi.ee> 523fc4a
- updated to 2015.10.09

* Wed Oct 07 2015 Elan Ruusamäe <glen@delfi.ee> 2c163e4
- updated to 2015.10.07

* Tue Oct 06 2015 Elan Ruusamäe <glen@delfi.ee> bfc16d8
- updated to 2015.10.06

* Wed Sep 02 2015 Elan Ruusamäe <glen@delfi.ee> 36c3f9b
- updated to 2015.09.02

* Thu Aug 06 2015 Elan Ruusamäe <glen@delfi.ee> 3bcca39
- up to 2015.08.05

* Mon Jul 27 2015 Elan Ruusamäe <glen@delfi.ee> 1f67771
- use newest file date as package version

* Mon Jul 27 2015 Elan Ruusamäe <glen@delfi.ee> c023e56
- up to 2015.07.24

* Wed Jul 15 2015 Elan Ruusamäe <glen@delfi.ee> a9134ee
- up to 2015.07.08

* Thu Jun 04 2015 Elan Ruusamäe <glen@delfi.ee> 0cba7cb
- up to 2015.06.03

* Thu May 07 2015 Elan Ruusamäe <glen@delfi.ee> aeb228a
- up to 2015.05.06

* Mon Apr 13 2015 Elan Ruusamäe <glen@delfi.ee> d1016cd
- up to 2015.04.07

* Wed Mar 25 2015 Elan Ruusamäe <glen@delfi.ee> 8bb8012
- up to 2015.03.03

* Fri Feb 06 2015 Elan Ruusamäe <glen@delfi.ee> 30d02a9
- up to 2015.02.04

* Fri Jan 09 2015 Elan Ruusamäe <glen@delfi.ee> 7c7125b
- up to 2015.01.07

* Wed Dec 03 2014 Elan Ruusamäe <glen@delfi.ee> ca68993
- up to 2014.12.02

* Tue Nov 11 2014 Elan Ruusamäe <glen@delfi.ee> 953bf19
- up to 2014.11.05

* Thu Oct 09 2014 Elan Ruusamäe <glen@delfi.ee> d44890c
- up to 2014.10.08

* Mon Sep 15 2014 Elan Ruusamäe <glen@delfi.ee> c7964e2
- up to 2014.09.04

* Wed Sep 03 2014 Elan Ruusamäe <glen@delfi.ee> af0ae0a
- up to 2014.09.03

